This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 508511 - Review Request: python-Lightbox - Lightbox photo display widget
Review Request: python-Lightbox - Lightbox photo display widget
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 508510
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-28 00:30 EDT by Itamar Reis Peixoto
Modified: 2009-08-17 20:21 EDT (History)
6 users (show)

See Also:
Fixed In Version: 2.1-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-27 17:37:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Susi Lehtola 2009-07-07 06:44:47 EDT
Why
 %dir %{python_sitelib}/lightbox                                                 
 %{python_sitelib}/lightbox/*
instead of just
 %{python_sitelib}/lightbox/
?
Comment 3 Parag AN(पराग) 2009-07-09 23:38:42 EDT
I am waiting for dependency python-Scriptaculous to be built in rawhide and available for this review.
Comment 4 Parag AN(पराग) 2009-07-16 10:42:45 EDT
I will review this soon. Sorry for delay. Got busy with other work.
Comment 5 Parag AN(पराग) 2009-07-17 00:37:32 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1481057
+ rpmlint output on SRPM and for RPM.
python-Lightbox.src: E: description-line-too-long Lightbox is a TurboGears widget wrapper for the Lightbox2 JavaScript library by Lokesh Dhakar.
python-Lightbox.src: E: description-line-too-long It displays a thumbnail image which, when clicked, opens an overlay popup window for viewing
python-Lightbox.src: E: description-line-too-long the linked image in full size. You can also browse through several Lightbox images that are
python-Lightbox.noarch: E: description-line-too-long Lightbox is a TurboGears widget wrapper for the Lightbox2 JavaScript library by Lokesh Dhakar.
python-Lightbox.noarch: E: description-line-too-long It displays a thumbnail image which, when clicked, opens an overlay popup window for viewing
python-Lightbox.noarch: E: description-line-too-long the linked image in full size. You can also browse through several Lightbox images that are
python-Lightbox.noarch: E: script-without-shebang /usr/lib/python2.6/site-packages/lightbox/static/css/lightbox.css
python-Lightbox.noarch: E: script-without-shebang /usr/lib/python2.6/site-packages/lightbox/static/javascript/lightbox.js

+ source files match upstream url
82d970d81261efa020071e4507a284aeb866e5d7  Lightbox-2.1.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.

Provide updated SRPM which will fix also comment #1
Fix rpmlint messages
Comment 6 Itamar Reis Peixoto 2009-07-17 14:28:48 EDT
do you know the right permission to fix this ?

python-Lightbox.noarch: E: script-without-shebang
/usr/lib/python2.6/site-packages/lightbox/static/javascript/lightbox.js
Comment 8 Parag AN(पराग) 2009-07-23 02:25:19 EDT
If you want to use macros then use all macros in spec. Use macro %{__rm} for rm command also.

APPROVED.
Comment 9 Itamar Reis Peixoto 2009-07-23 03:09:28 EDT
New Package CVS Request
=======================
Package Name: python-Lightbox
Short Description: Lightbox photo display widget
Owners: itamarjp
Branches: F-10 F-11 EL-5
InitialCC:
Comment 10 Jason Tibbitts 2009-07-23 12:39:05 EDT
CVS done.
Comment 11 Fedora Update System 2009-07-25 23:05:26 EDT
python-Lightbox-2.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-Lightbox-2.1-2.fc11
Comment 12 Fedora Update System 2009-07-25 23:06:10 EDT
python-Lightbox-2.1-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-Lightbox-2.1-2.el5
Comment 13 Fedora Update System 2009-07-25 23:07:00 EDT
python-Lightbox-2.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-Lightbox-2.1-2.fc10
Comment 14 Parag AN(पराग) 2009-07-27 00:22:32 EDT
spot,
   Can you please help here to identify correct license for this package. I actually got mail at https://www.redhat.com/archives/fedora-devel-list/2009-July/msg01557.html

Thanks.
Comment 15 Itamar Reis Peixoto 2009-07-27 00:35:27 EDT
the JavaScript code comes from

http://www.lokeshdhakar.com/projects/lightbox2/

"Can I use the script in a commercial project?

    Yes. It is licensed under the Creative Commons Attribution 2.5 License. A donation would be nice, hint hint."


the python code is MIT and javascript code is Creative Commons Attribution 2.5
Comment 16 Fedora Update System 2009-07-27 17:37:37 EDT
python-Lightbox-2.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-07-27 17:38:18 EDT
python-Lightbox-2.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Mamoru TASAKA 2009-07-28 13:25:42 EDT
Yes, the license tag should be "MIT and CC-BY", and I think
FE-Legal blocker is not needed.
Comment 19 Itamar Reis Peixoto 2009-07-28 13:47:28 EDT
(In reply to comment #18)
> Yes, the license tag should be "MIT and CC-BY", and I think
> FE-Legal blocker is not needed.  

thanks, I have fixed
Comment 20 Fedora Update System 2009-08-17 20:21:53 EDT
python-Lightbox-2.1-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.